File: control

package info (click to toggle)
rust-intervaltree 0.2.4-2
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, bullseye, sid
  • size: 104 kB
  • sloc: makefile: 4
file content (53 lines) | stat: -rw-r--r-- 2,094 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
Source: rust-intervaltree
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-smallvec-1+default-dev <!nocheck>,
 librust-smallvec-1+write-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/intervaltree]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/intervaltree

Package: librust-intervaltree-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-smallvec-1+default-dev
Recommends:
 librust-intervaltree+std-dev (= ${binary:Version})
Provides:
 librust-intervaltree-0-dev (= ${binary:Version}),
 librust-intervaltree-0.2-dev (= ${binary:Version}),
 librust-intervaltree-0.2.4-dev (= ${binary:Version})
Description: Simple and generic implementation of an immutable interval tree - Rust source code
 This package contains the source for the Rust intervaltree crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: librust-intervaltree+std-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-intervaltree-dev (= ${binary:Version}),
 librust-smallvec-1+write-dev
Provides:
 librust-intervaltree+default-dev (= ${binary:Version}),
 librust-intervaltree-0+std-dev (= ${binary:Version}),
 librust-intervaltree-0+default-dev (= ${binary:Version}),
 librust-intervaltree-0.2+std-dev (= ${binary:Version}),
 librust-intervaltree-0.2+default-dev (= ${binary:Version}),
 librust-intervaltree-0.2.4+std-dev (= ${binary:Version}),
 librust-intervaltree-0.2.4+default-dev (= ${binary:Version})
Description: Simple and generic implementation of an immutable interval tree - feature "std" and 1 more
 This metapackage enables feature "std" for the Rust intervaltree crate, by
 pulling in any additional dependencies needed by that feature.
 .
 Additionally, this package also provides the "default" feature.